it-swarm-ja.com

Debian 7.5(Wheezy)にPHP 5.4をインストールするにはどうすればよいですか?

apt-getを介してDebian7.5にPHP 5.4)をインストールし、sources.listにURLを追加する方法があるかどうか疑問に思います。

次の行を追加しましたが、多くの依存関係が要求されます。

deb http://packages.dotdeb.org/ squeeze-php54 all
deb-src squeeze-php54 all http://packages.dotdeb.org

PHP 5.4は、Debianwheezyのデフォルトバージョンです。

https://packages.debian.org/wheezy/php5

を使用してインストールできるはずです

apt-get install php5

sources.listに通常のwheezyリポジトリがある場合

sources.listに追加した行は、Debian squeeze用のようです。これはリリースbeforewheezyでした。

したがって、問題が発生した場合は、sources.listにwheezyリポジトリが含まれていることを実際に確認する必要があります。

2